Get schema version
curl --request GET \
--url https://api.synthbrew.com/api/public/v1/projects/{projectId}/schemas/{schemaId}/versions/{versionId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.synthbrew.com/api/public/v1/projects/{projectId}/schemas/{schemaId}/versions/{versionId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.synthbrew.com/api/public/v1/projects/{projectId}/schemas/{schemaId}/versions/{versionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schemaId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": 123,
"schema": {
"formatVersion": 1,
"entities": [
{
"id": "<string>",
"fields": [
{
"id": "<string>",
"label": "<string>",
"description": "<string>",
"nullable": false,
"references": {
"entity": "<string>",
"field": "<string>",
"relation": "many-to-one",
"pick": "random",
"onDelete": "restrict",
"onUpdate": "restrict"
},
"generation": {
"emptyRate": 0,
"uniqueValues": true,
"strategy": {}
},
"minLength": 1,
"maxLength": 2,
"min": 123,
"max": 123,
"precision": 2,
"prefix": "<string>",
"suffix": "<string>",
"trueRate": 0.5,
"weekdaysOnly": false,
"values": [
"<string>"
],
"weights": [
123
]
}
],
"label": "<string>",
"description": "<string>",
"primaryKey": [
"<string>"
],
"uniqueKeys": [
[
"<string>"
]
],
"indexes": [
{
"fields": [
"<string>"
],
"id": "<string>",
"unique": false
}
],
"generation": {
"rowCount": 1,
"locale": "<string>",
"timezone": "<string>",
"seed": "<string>"
}
}
],
"metadata": {
"name": "<string>",
"description": "<string>",
"tags": [
"<string>"
]
},
"generationDefaults": {
"rowCount": 1,
"locale": "<string>",
"timezone": "<string>",
"seed": "<string>"
}
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
Schemas
Get Schema Version
GET
/
public
/
v1
/
projects
/
{projectId}
/
schemas
/
{schemaId}
/
versions
/
{versionId}
Get schema version
Authorizations
Team API key created under /api/api-keys. Prefix: sb_api_.
Path Parameters
Project UUID in the team associated with the API key.
Schema UUID that belongs to the provided project.
Schema version UUID that belongs to the provided schema.
Response
Schema version
⌘I